## List of plugins

#### [By topic](#by-topic-1)

- [Alignment](#alignment)
- [Building and linting](#building-and-linting)
- [Code completion](#code-completion)
- [Cycle](#cycle)
- [Commenters](#commenters)
- [Delimiter](#delimiter)
- [Fuzzy finders](#fuzzy-finders)
- [Grep tools](#grep-tools)
- [Indent](#indent)
- [Navigation](#navigation)
- [Snippets](#snippets)
- [Statusline](#statusline)
- [Surround](#surround)
- [Taking notes](#taking-notes)
- [Text objects](#text-objects)
- [Tmux](#tmux)
- [Undo history](#undo-history)
- [Version control](#version-control)
- [Writing](#writing)
- [Misc](#misc)

#### [By filetype](#by-filetype-1)

- [C and C++](#c-and-c)
- [Clojure](#clojure)
- [HTML](#html)
- [Java](#java)
- [Javascript](#javascript)
- [Lua](#lua)
- [Python](#python)
- [TeX](#tex)
- [VimL](#viml)

## By topic

#### Alignment

- [easy-align](https://github.com/junegunn/vim-easy-align)
- [tabular](https://github.com/godlygeek/tabular)

#### Building and linting

- [ale](https://github.com/w0rp/ale)
- [neomake](https://github.com/neomake/neomake)
- [syntastic](https://github.com/scrooloose/syntastic)

#### Code completion

- [completor](https://github.com/maralla/completor.vim)
- [deoplete](https://github.com/Shougo/deoplete.nvim)
- [neocomplete](https://github.com/Shougo/neocomplete.vim)
- [supertab](https://github.com/ervandew/supertab)
- [vimcompletesme](https://github.com/ajh17/VimCompletesMe)
- [youcompleteme](https://github.com/Valloric/YouCompleteMe)
- [µcomplete](https://github.com/lifepillar/vim-mucomplete)

#### Cycle

- [speeddating](https://github.com/tpope/vim-speeddating)
- [switch](https://github.com/AndrewRadev/switch.vim)

#### Commenters

- [commentary](https://github.com/tpope/vim-commentary)
- [nerdcommenter](https://github.com/scrooloose/nerdcommenter)
- [tcomment](https://github.com/tomtom/tcomment_vim)

#### Delimiter

- [auto-pairs](https://github.com/jiangmiao/auto-pairs)
- [delimitmate](https://github.com/Raimondi/delimitMate)
- [endwise](https://github.com/tpope/vim-endwise)

#### Fuzzy finders

- [command-t](https://github.com/wincent/Command-T) (_requires +ruby_)
- [ctrlp](https://github.com/ctrlpvim/ctrlp.vim.git)
- [denite](https://github.com/Shougo/denite.nvim) (_requires +python3_)
- [fzf](https://github.com/junegunn/fzf)
- [unite](https://github.com/Shougo/unite.vim)

#### Grep tools

- [ctrlsf](https://github.com/dyng/ctrlsf.vim)
- [ferret](https://github.com/wincent/ferret)
- [grepper](https://github.com/mhinz/vim-grepper)

#### Indent

- [indent-guides](https://github.com/nathanaelkane/vim-indent-guides)
- [indentline](https://github.com/Yggdroot/indentLine)

#### Navigation

- [dirvish](https://github.com/justinmk/vim-dirvish)
- [easymotion](https://github.com/easymotion/vim-easymotion)
- [nerdtree](https://github.com/scrooloose/nerdtree)
- [sneak](https://github.com/justinmk/vim-sneak)
- [tagbar](https://github.com/majutsushi/tagbar)
- [vimfiler](https://github.com/Shougo/vimfiler.vim) (_depends on other plugins_)
- [vinegar](https://github.com/tpope/vim-vinegar)

Also see [fuzzy finders](#fuzzy-finders).

#### Snippets

- [neosnippet](https://github.com/Shougo/neosnippet.vim) (_depends on other plugins_)
- [snipmate](https://github.com/garbas/vim-snipmate) (_depends on other plugins_)
- [ultisnips](https://github.com/SirVer/ultisnips)
- [xptemplate](https://github.com/drmingdrmer/xptemplate)

#### Statusline

- [airline](https://github.com/vim-airline/vim-airline)
- [flagship](https://github.com/tpope/vim-flagship)
- [lightline](https://github.com/itchyny/lightline.vim)
- [powerline](https://github.com/powerline/powerline)

#### Surround

- [operator-surround](https://github.com/rhysd/vim-operator-surround)
- [sandwich](https://github.com/machakann/vim-sandwich)
- [surround](https://github.com/tpope/vim-surround)

#### Taking notes

- [dotoo](https://github.com/dhruvasagar/vim-dotoo)
- [journal](https://github.com/junegunn/vim-journal)
- [notes](https://github.com/xolox/vim-notes)
- [orgmode](https://github.com/jceb/vim-orgmode)
- [pad](https://github.com/fmoralesc/vim-pad)
- [vimwiki](https://github.com/vimwiki/vimwiki)

#### Text objects

- [exchange](https://github.com/tommcdo/vim-exchange)
- [targets](https://github.com/wellle/targets.vim)
- [textobj-user](https://github.com/kana/vim-textobj-user)

#### Tmux

- [dispatch](https://github.com/tpope/vim-dispatch)
- [tmux-complete](https://github.com/wellle/tmux-complete.vim)
- [tmux-navigator](https://github.com/christoomey/vim-tmux-navigator)
- [vitality](https://github.com/sjl/vitality.vim)

#### Undo history

- [gundo](https://github.com/sjl/gundo.vim)
- [undotree](https://github.com/mbbill/undotree)

#### Version control

- [agit](https://github.com/cohama/agit.vim)
- [committia](https://github.com/rhysd/committia.vim)
- [fugitive](https://github.com/tpope/vim-fugitive)
- [gist-vim](https://github.com/mattn/gist-vim)
- [gitgutter](https://github.com/airblade/vim-gitgutter)
- [github-dashboard](https://github.com/junegunn/vim-github-dashboard)
- [github-issues](https://github.com/jaxbot/github-issues.vim)
- [gitv](https://github.com/gregsexton/gitv)
- [gv](https://github.com/junegunn/gv.vim)
- [lawrencium](https://bitbucket.org/ludovicchabant/vim-lawrencium)
- [nerdtree-git-plugin](https://github.com/Xuyuanp/nerdtree-git-plugin)
- [signify](https://github.com/mhinz/vim-signify)
- [vimagit](https://github.com/jreybert/vimagit)

#### Writing

- [grammarous](https://github.com/rhysd/vim-grammarous)
- [online-thesaurus](https://github.com/beloglazov/vim-online-thesaurus)

#### Misc

- [bracketed-paste](https://github.com/ConradIrwin/vim-bracketed-paste)
- [calendar](https://github.com/itchyny/calendar.vim)
- [covim](https://github.com/FredKSchott/CoVim)
- [devicons](https://github.com/ryanoasis/vim-devicons)
- [diminactive](https://github.com/blueyed/vim-diminactive)
- [fastfold](https://github.com/Konfekt/FastFold)
- [fixkey](https://github.com/drmikehenry/vim-fixkey)
- [gnupg](https://github.com/jamessan/vim-gnupg)
- [goyo](https://github.com/junegunn/goyo.vim)
- [hackernews](https://github.com/ryanss/vim-hackernews)
- [indentline](https://github.com/Yggdroot/indentLine)
- [move](https://github.com/matze/vim-move)
- [multiple-cursors](https://github.com/terryma/vim-multiple-cursors)
- [nrrwrgn](https://github.com/chrisbra/NrrwRgn)
- [projectionist](https://github.com/tpope/vim-projectionist)
- [rsi](https://github.com/tpope/vim-rsi)
- [sideways](https://github.com/AndrewRadev/sideways.vim)
- [splitjoin](https://github.com/AndrewRadev/splitjoin.vim)
- [startify](https://github.com/mhinz/vim-startify)
- [targets](https://github.com/wellle/targets.vim)
- [unicode.vim](https://github.com/chrisbra/unicode.vim)
- [unimpaired](https://github.com/tpope/vim-unimpaired)

## By filetype

#### C and C++

- [a](https://github.com/vim-scripts/a.vim)
- [clang_complete](https://github.com/Rip-Rip/clang_complete)
- [color_coded](https://github.com/jeaye/color_coded.git)
- [lh-cpp](https://github.com/LucHermitte/lh-cpp)

#### Clojure

- [clojure-highlight](https://github.com/guns/vim-clojure-highlight)
- [fireplace](https://github.com/tpope/vim-fireplace)
- [paredit](https://github.com/kovisoft/paredit)
- [rainbow_parentheses](https://github.com/junegunn/rainbow_parentheses.vim)
- [salve](https://github.com/tpope/vim-salve)
- [sexp-mappings-for-regular-people](https://github.com/tpope/vim-sexp-mappings-for-regular-people)
- [sexp](https://github.com/guns/vim-sexp)

#### HTML

- [emmet](https://github.com/mattn/emmet-vim)
- [html5](https://github.com/othree/html5.vim)

#### Java

- [javacomplete2](https://github.com/artur-shaik/vim-javacomplete2)

#### Javascript

- [es.next.syntax](https://github.com/othree/es.next.syntax.vim)
- [esformatter](https://github.com/millermedeiros/vim-esformatter)
- [javascript-libraries-syntax](https://github.com/othree/javascript-libraries-syntax.vim)
- [javascript-syntax](https://github.com/jelera/vim-javascript-syntax)
- [javascript](https://github.com/pangloss/vim-javascript)
- [node-vim-debugger](https://github.com/sidorares/node-vim-debugger)
- [node](https://github.com/moll/vim-node)
- [tern_for_vim](https://github.com/ternjs/tern_for_vim)
- [yajs](https://github.com/othree/yajs.vim)

#### Lua

- [lua-ftplugin](https://github.com/xolox/vim-lua-ftplugin)
- [lua-inspect](https://github.com/xolox/vim-lua-inspect)

#### Python

- [braceless](https://github.com/tweekmonster/braceless.vim)
- [flake8](https://github.com/nvie/vim-flake8)
- [impsort](https://github.com/tweekmonster/impsort.vim)
- [jedi](https://github.com/davidhalter/jedi-vim)
- [python-mode](https://github.com/klen/python-mode)

#### TeX

- [vimtex](https://github.com/lervag/vimtex)

#### VimL

- [scriptease](https://github.com/tpope/vim-scriptease)
